<?php
require_once 'db_conection.php';

$resultadoQuery = null;
$mensaje = '';
$error = false;

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    try {
        $db = new DatabaseConnection();
        $queryImagenes = "SELECT * FROM imagenes";
        $resultadoQuery = $db->ejecutarQuery($queryImagenes);
        
        $mensaje = "Consulta ejecutada exitosamente";
        $db->close();
    } catch (Exception $e) {
        $mensaje = "Error: " . $e->getMessage();
        $error = true;
    }
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Consulta de Imágenes</title>
    <style>
        body { 
            font-family: Arial, sans-serif; 
            max-width: 800px; 
            margin: 0 auto; 
            padding: 20px; 
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        table, th, td {
            border: 1px solid #ddd;
            padding: 8px;
        }
        th {
            background-color: #f2f2f2;
        }
        .success { color: green; }
        .error { color: red; }
    </style>
</head>
<body>
    <h2>Consulta de Tabla Imágenes</h2>
    <form method="POST">
        <button type="submit">Consultar Imágenes</button>
    </form>

    <?php if (!empty($mensaje)): ?>
        <p class="<?= $error ? 'error' : 'success' ?>">
            <?= $mensaje ?>
        </p>
    <?php endif; ?>

    <?php if ($resultadoQuery && $resultadoQuery->num_rows > 0): ?>
        <table>
            <thead>
                <tr>
                    <?php 
                    // Imprimir encabezados de columnas
                    $campos = $resultadoQuery->fetch_fields();
                    foreach ($campos as $campo) {
                        echo "<th>" . htmlspecialchars($campo->name) . "</th>";
                    }
                    ?>
                </tr>
            </thead>
            <tbody>
                <?php 
                // Imprimir filas de resultados
                while ($fila = $resultadoQuery->fetch_assoc()) {
                    echo "<tr>";
                    foreach ($fila as $valor) {
                        echo "<td>" . htmlspecialchars($valor) . "</td>";
                    }
                    echo "</tr>";
                }
                ?>
            </tbody>
        </table>
    <?php elseif ($resultadoQuery && $resultadoQuery->num_rows == 0): ?>
        <p>No se encontraron registros en la tabla de imágenes.</p>
    <?php endif; ?>
</body>
</html>